import React from 'react';
import { select, 
      
       } 
from 'd3'; 

class NAV extends React.Component{
      constructor(props){
         super(props);
         this.renderD3Component = this.renderD3Component.bind(this)
      }
  
      renderD3Component(){  
        const node = this.node
        const li = select(node).selectAll('li').
                    data(this.props.data)
        const buttons = li.enter().append('li').append('a').append('button')
                   .attr('class','waves-effect btn red lighten-3')
                   .attr('id',d=>d)
                   .text(d=>d)
                   .merge(li.select('a').select('button'))
                   .text(d=>d)
                   .on('click',d=> this.props.onclick(d) )
        
      }
  
      componentDidMount(){
        this.renderD3Component()
      }
  
      componentDidUpdate(){
        this.renderD3Component()
      }
  
      render(){
        return (
          <nav>
          <div class="nav-wrapper teal lighten-2">
            <ul class="left" ref={node => this.node = node}>
            </ul>
          </div>
          </nav>
        );
      }
}

export default NAV